{% extends "base.html" %}
{% load static %} 
{% block meta %}
<title>Sign Up</title>
<link
  rel="stylesheet"
  href="{% static 'authentication/CSS/registerUser.css' %}"
/>
<script src="{% static 'authentication/JS/signup.js' %}"></script>

{% endblock meta %} 
{% block content %}
<body>
  <div class="container d-flex justify-content-center">
    <div class="sign-up show">
      <form 
        method="POST" 
        action="{%url 'authentication:SignUpAjax'%}"
        class="form-signup">
        
        {% csrf_token %}
        <h2>✨ Hello ✨ <br>
          Sign up to get started</h2>
        <div class="flexing">
          <div class="form-left">
            <div class="input-wrapper-register mb-5">
              <input
                type="text"
                name="username">
              </input>
              <label>Username</label>
              <p class="uname-error" style="color: red; margin-top: 35px; margin-left: 12px;"></p>
            </div>
            <div class="input-wrapper-register mb-5">
              <input
              type="email"
              name="email">
              </input>
              <label>Email</label>
            </div>
            <div class="input-wrapper-register mb-5">
              <input
                type="text"
                name="phone_num">
              </input>
              <label>Phone Number</label>
            </div>
            <div class="input-wrapper-register mb-5">
              <input
              type="password"
              name="password1">
              </input>
              <label>Password</label>
            </div>
            <div class="input-wrapper-register mb-4">
              <input
              type="password"
              name="password2">
              </input>
              <label>Confirm Password</label>
              <p class="pass-error" style="color: red; margin-top: 35px; margin-left: 12px;"></p>
            </div>
          </div>
          <div class="form-right">
            <div class="input-wrapper-register mb-5">
              <input
              type="text"
              name="name">
              </input>
              <label>Name</label>
            </div>
            <div class="input-wrapper-register mb-5">
              <input
              type="text"
              name="dob"
              onfocus="(this.type='date')" 
              onblur="if(!this.value)this.type='text'">
              </input>
              <label>Date of Birth</label>
            </div>
            <div class="mt-4 mb-4 form-radio">
              <p style="margin-bottom:.2rem; font-size: 1.1rem;">Gender</p>
              <div class="choices">
                {{form.gender_choice}}
              </div>
            </div>
            <div class="form-group mb-5 form-radio">
              <p style="margin-bottom:.2rem; font-size: 1.1rem;">I'm a</p>
              <div class="choices">
                {{ form.role_choice }}
              </div>
            </div>
          </div>
        </div>
        <p class="mb-5" id="error" style="color:red"></p>
        <div class="d-grid">
          <input 
            class="btn btn-primary" 
            type="submit"
            value="Sign Up" 
            style="background-color: #9f7aea">
          <p style="font-size: 1rem; margin-top: .5rem;">
            Already have an account?
            <a href="{% url 'authentication:Login' %}">Login here</a>
          </p>
        </div>
      </form>
    </div>
  </div>
  <div class=" login hide container">  
    <div>
      <div class="container">
        <div class="login-form">
          <div class="left-content">
            <img 
              src="{% static 'authentication/IMG/undraw_doctors_hwty.svg' %}"
              class="doctor-img" 
              alt="login image"/>
            <p class="quote">
              "Health is the thing that make you feel 
              <br>
              now is the best time of year"
              <br>
              - Franklin P. Adams
            </p>
          </div>
          <div class="right-content">
            <h2 class="title">
              Hello 🙋‍♀️<br />
              Welcome Back
            </h2>
            <form method="POST" action="{% url 'authentication:Login' %}">
              {% csrf_token %}
              <div class="input-wrapper uname">
                <div class="i">
                  <i class="fas fa-user"></i>
                </div>
                <div class="form-field">
                  <input 
                    type="text" 
                    name="username" />
                  <label>Username</label>
                </div>
              </div>
              <div class="input-wrapper pass">
                <div class="i">
                  <i class="fas fa-lock"></i>
                </div>
                <div class="form-field">
                  <input 
                    type="password" 
                    name="password" 
                    required />
                    <label>Password</label>
                </div>
              </div>
              <div class="d-grid">
                <input 
                  class="btn btn-primary" 
                  type="submit"
                  value="Login" 
                  style="background-color: #9f7aea">
                <p style="font-size: .9rem; margin-top: .5rem;">
                  Don't have an account?
                  <a href="{% url 'authentication:SignUp' %}">Register here</a>
                </p>
              </div>
            </form>        
          </div>
        </div>
      </div>
    </div>
  </div>

</body>

{% endblock content %}
